Skip to main content
GET
/
v1
/
data
/
wallets
/
{address}
/
trades
List wallet trades
curl --request GET \
  --url https://releasing-soon.com/v1/data/wallets/{address}/trades \
  --header 'Authorization: Bearer <token>'
{
  "trades": [
    {
      "signature": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "wallet": "<string>",
      "baseMint": "<string>",
      "quoteMint": "<string>",
      "amountUsd": 123,
      "summary": "<string>"
    }
  ],
  "meta": {
    "nextCursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nshield.org/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Nova developer API key in the Authorization header. Demo playground keys should be restricted, rate-limited, and domain-scoped.

Path Parameters

address
string
required

Solana wallet address.

Minimum string length: 32

Query Parameters

limit
integer
default:25

Maximum number of records to return.

Required range: 1 <= x <= 100

Response

Wallet trades.

trades
object[]
required
meta
object